# eric7.Plugins.WizardPlugins.QRegularExpressionWizard.QRegularExpressionWizardRepeatDialog

Module implementing a dialog for entering repeat counts.

### Global Attributes

None

### Classes

QRegularExpressionWizardRepeatDialog | Class implementing a dialog for entering repeat counts.

### Functions

None

## QRegularExpressionWizardRepeatDialog

Class implementing a dialog for entering repeat counts.

### Derived from

QDialog, Ui_QRegularExpressionWizardRepeatDialog

### Class Attributes

None

### Class Methods

None

### Methods

QRegularExpressionWizardRepeatDialog | Constructor
getRepeat | Public method to retrieve the dialog's result.
on_lowerSpin_valueChanged | Private slot to handle the lowerSpin valueChanged signal.
on_upperSpin_valueChanged | Private slot to handle the upperSpin valueChanged signal.

### Static Methods

None

#### QRegularExpressionWizardRepeatDialog (Constructor)

QRegularExpressionWizardRepeatDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### QRegularExpressionWizardRepeatDialog.getRepeat

getRepeat()

Public method to retrieve the dialog's result.

Return:
  ready formatted repeat string (string)

#### QRegularExpressionWizardRepeatDialog.on_lowerSpin_valueChanged

on_lowerSpin_valueChanged(value)

Private slot to handle the lowerSpin valueChanged signal.

value
  value of the spinbox (integer)

#### QRegularExpressionWizardRepeatDialog.on_upperSpin_valueChanged

on_upperSpin_valueChanged(value)

Private slot to handle the upperSpin valueChanged signal.

value
  value of the spinbox (integer)

Up